playerc_gripper_t Struct Reference
gripper

Gripper device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
player_pose3d_t | pose
| Gripper geometry in the robot cs: pose gives the position and orientation, outer_size gives the extent when open inner_size gives the size of the space between the open fingers These values are initially zero, but can be filled in by calling playerc_gripper_get_geom(). More...
player_bbox3d_t | outer_size
player_bbox3d_t | inner_size
uint8_t | num_beams
| The number of breakbeams the gripper has.
uint8_t | capacity
| The capacity of the gripper's store - if 0, the gripper cannot store.
uint8_t | state
| The gripper's state: may be one of PLAYER_GRIPPER_STATE_OPEN, PLAYER_GRIPPER_STATE_CLOSED, PLAYER_GRIPPER_STATE_MOVING or PLAYER_GRIPPER_STATE_ERROR. More...
uint32_t | beams
| The position of the object in the gripper.
uint8_t | stored
| The number of currently-stored objects.

## Detailed Description

Gripper device data.

## Member Data Documentation

playerc_device_t playerc_gripper_t::info

Device info; must be at the start of all device structures.

player_pose3d_t playerc_gripper_t::pose

Gripper geometry in the robot cs: pose gives the position and orientation, outer_size gives the extent when open inner_size gives the size of the space between the open fingers These values are initially zero, but can be filled in by calling playerc_gripper_get_geom().

uint8_t playerc_gripper_t::state

The gripper's state: may be one of PLAYER_GRIPPER_STATE_OPEN, PLAYER_GRIPPER_STATE_CLOSED, PLAYER_GRIPPER_STATE_MOVING or PLAYER_GRIPPER_STATE_ERROR.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45